{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
{# LG 20200824 old    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidintervenant }}</div>#}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ (poEntité.iidintervenant is defined) ? poEntité.iidintervenant : "" }}</div>
{% endblock %}

{% block formulaire %}
    
<div class="LesChamps card">
    
    {#
    
    SOLUTION RESPONSIVE - 
    
    IL faut rajouter le flex-wrap aux div qui englobent deux inputs, 
    cela leur permet de pouvoir se ranger les uns en dessous des autres sans dépasser de leur emplacement définis.
    Il faut également passer la valeur de "col-sm-9" à "col-sm-8" pour la zone de saisie 

    <div class=" d-flex justify-content-around !!--  --!! ">            = Bug présent
        {% if poForm.cnom is defined %}
            <div ... >
                {{...}}
                <div class=" !!-- col-sm-9 --!! d-flex justify-content-center align-items-center">
                    {{...}}
                </div>
            </div>
        {% endif %}
    </div>
    
    <div class=" d-flex justify-content-around !!-- flex-wrap --!! ">   = Bug corrigé
        {% if poForm.cnom is defined %}
            <div ... >
                {{...}}
                <div class=" !!-- col-sm-8 --!! d-flex justify-content-center align-items-center">
                    {{...}}
                </div>
            </div>
        {% endif %}
    </div>
    
    #}
  
    <div class=" d-flex justify-content-around flex-wrap ">
        {% if poForm.cnom is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.cnom, "Nom ", {'label_attr': {'class': 'control-label m-0 mr-3' }}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.cnom, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}   

        {# Génération du label. #}
        {% if poForm.cprenom is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.cprenom, "Prenom ", {'label_attr': {'class': 'control-label m-0 mr-3' }}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.cprenom, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %} 
    </div>
    
    <div class=" d-flex justify-content-around flex-wrap ">

        {# Génération du label. #}
        {% if poForm.cnomcourt is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.cnomcourt, "Nom court ", {'label_attr': {'class': 'control-label m-0 mr-3' }}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.cnomcourt, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %} 

        {# Génération du label. #}
        {% if poForm.cinitiales is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.cinitiales, "Initiales ", {'label_attr': {'class': 'control-label m-0 mr-3' }}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.cinitiales, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %} 
        
    </div>
        
</div>
        
<div class="LesChamps card">      
    <div class=" d-flex justify-content-around flex-wrap">
        {# Génération du label. #}
        {% if poForm.ctel is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.ctel, "Téléphone ", {'label_attr': {'class': 'control-label m-0 mr-3' }}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.ctel, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %} 

        {# Génération du label. #}
        {% if poForm.cport is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.cport, "Portable ", {'label_attr': {'class': 'control-label m-0 mr-3' }}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.cport, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
        
    </div>
        
</div>
        
<div class="LesChamps">  
    <div class=" d-flex justify-content-around flex-wrap">
        {# Génération du label. #}
        {% if poForm.lexterieur is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.lexterieur, "Intervenant extérieur ", {'label_attr': {'class': 'control-label m-0 mr-3' }}) }}
                <div class="col-sm-8 d-flex align-items-center">
                    {{ form_widget(poForm.lexterieur, {'attr': {'class': 'shadow-form-control border-0'}}) }}
                </div>
            </div>
        {% endif %}

        {% if (poForm.ispecialite is defined) %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.ispecialite, "Spécialité ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.ispecialite, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control no-bg'}}) }}
                </div>
            </div>
        {% endif %}

    </div>

    <div class=" d-flex justify-content-around flex-wrap">        

        {# Génération du label. #}
        {% if poForm.remplacant is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.remplacant, "Remplacant ", {'label_attr': {'class': 'control-label m-0 mr-3' }}) }}
                <div class="col-sm-8 d-flex align-items-center">
                    {{ form_widget(poForm.remplacant, {'attr': {'class': 'shadow-form-control border-0'}}) }}
                </div>
            </div>
        {% endif %}

        {% if (poForm.iservice is defined) %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.iservice, "Service ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.iservice, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control no-bg'}}) }}
                </div>
            </div>
        {% endif %}

    </div>
        
</div>
        
<div class="LesChamps">
    <div class="d-flex justify-content-start flex-wrap">
        {% if poForm.icouleur is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.icouleur, "Couleur ", {'label_attr': {'class': 'col-sm-3 mr-3 d-flex justify-content-end control-label'}}) }}

                <div class="col-sm-8">
                    {#{{ form_widget(poForm.icouleur, {'attr': {'class': 'form-control'}}) }}#}
                    <input type='text' id="icouleur_spectrum"/>
                    <input type='hidden' class="form-control" name="fEntityForm_intervenants[icouleur]" id="fEntityForm_intervenants_icouleur" 
{# LG 20200824 old                          value="{{ poForm.vars.value.icouleur }}"/>#}
                           value="{{ (poForm.vars.value.icouleur is defined) ? poForm.vars.value.icouleur : "" }}"/>
                    {% do poForm.icouleur.setRendered %}
                    <script>
                        LGSpectrum("#icouleur_spectrum", "#fEntityForm_intervenants_icouleur", function (color) {
                            var colorRGB = color.toRgb();
                            var colorI = RGB(colorRGB.r, colorRGB.g, colorRGB.b);
                            $("#fEntityForm_intervenants_icouleur").val(colorI);
                        });
                    </script>
                </div>
            </div>
        {% endif %}
    </div>
</div>
        
{% endblock %}
